#pragma language glsl3
#ifdef VERTEX

vec4 position(mat4 transformProjection, vec4 vertexPosition) {
  return transformProjection*vertexPosition;
}

#endif
 
#ifdef PIXEL
uniform sampler3D volume;
uniform float z;
vec4 effect(vec4 color, sampler2D dummy, vec2 textureCoords, vec2 screenCoords) {
  return vec4(vec3(texture(volume,vec3(textureCoords,z)).a),1);
}
#endif

